@mixin reset-list {
    margin: 0;
    padding: 0;
    list-style: none;
}

@mixin hide-text {
    overflow: hidden;
    padding: 0;
    text-indent: 101%;
    white-space: nowrap;
}

@mixin icons-url {
	background-image: url('../img/ui/icons/sprite/sprite.svg') !important;
}

// @include lg {}
// @include md {}
// @include sm {}
// @include xs {}

@mixin lg {
	@media screen and (max-width: #{map-get($grid-breakpoints, 'xl') - 1px}) {
		@content;
	}
}

@mixin md {
	@media screen and (max-width: #{map-get($grid-breakpoints, 'lg') - 1px}) {
		@content;
	}
}

@mixin sm {
	@media screen and (max-width: #{map-get($grid-breakpoints, 'md') - 1px}) {
		@content;
	}
}

@mixin xs {
	@media screen and (max-width: #{map-get($grid-breakpoints, 'sm') - 1px}) {
		@content;
	}
}

@mixin xxs {
	@media screen and (max-width: 320px) {
		@content;
	}
}

// @include rfonts (xl, lg, md, sm)

@mixin rfonts($lg, $md, $sm, $xs) {
	@if $lg {
		@include lg {
			font-size: $lg * 1px;
		}
	}
	@if $md {
		@include md {
			font-size: $md * 1px;
		}
	}
	@if $sm {
		@include sm {
			font-size: $sm * 1px;
		}
	}
	@if $xs {
		@include xs {
			font-size: $xs * 1px;
		}
	}
}

/// Event wrapper
/// @author Harry Roberts
/// @param {Bool} $self [false] - Whether or not to include current selector
/// @link https://twitter.com/csswizardry/status/478938530342006784 Original tweet from Harry Roberts
@mixin on-event($self: false) {
    @if $self {
        &,
        &:hover,
        &:active,
        &:focus {
            @content;
        }
    } @else {
        &:hover,
        &:active,
        &:focus {
            @content;
        }
    }
}

/// Make a context based selector a little more friendly
/// @author Hugo Giraudel
/// @param {String} $context
@mixin when-inside($context) {
    #{$context} & {
        @content;
    }
}
